.float-left{
    float: left !important;
}

.float-right{
    float: right !important;
}

.text-right{
    text-align: right;
}

.text-center{
    text-align: center;
}

.show-for-small-only{
    display: none;
}

.hide-for-small-only{
    display: block;
}

.lista_thumbs{
    margin-top: 10px;
    width: 100%;
    height: 126px;
    overflow: hidden;
    position: relative;
}

.lista_thumbs ul{    
    list-style: none;
    height: 100%;
    transition: all 0.4s ease;
    position: absolute;
    top: 0;
    left: 0;
}

.thumbnail{
    width: 100%; 
    max-height: 100%;
    cursor: pointer;
}

.thumbnail{
    /*padding: 5px;
    border: 1px solid #ccc;*/
    box-sizing: border-box;
    max-width: 100%;
    padding-left: 5px;
    cursor: pointer;
    transition: all 0.4s ease;
}

.thumbnail:hover{
    opacity: 0.7;
}

.button{
    padding: 0 15px;
    line-height: 45px;
    color: #fff;
    background-color: #e6007e;
    border: 1px solid #e6007e;
    display: inline-block;
    margin-left: 2px;
    margin-right: 2px;
    text-decoration: none;
    text-align: center;
    font-size: 1rem;
    box-shadow: none !important;
    transition: all 0.5s ease;
}

.button:hover{
    opacity: 0.8;
    color: #fff;
    text-decoration: none;
}

.button.full{
    width: 100%;
}

.button.rosa{
    background-color: #ff6666;
    border-color: #ff6666;
}

.button.gris{
    background-color: #e2e1e1;
    border-color: #e2e1e1;
    color: #000;
}

.button.gris:hover{
    color: #000;
}

.button.verde{
    background-color: #77ab3a;
    border-color: #77ab3a;
}

.titulo-carrito {
    font-weight: bold;
    font-size: 1.3rem;
    border-bottom: 1px solid #000;
    margin-bottom: 15px;
}

.modulo_carrito{
    position: fixed;
    right: 10px;
    top: 15%;
    width: 85px;
    height: 85px;
    z-index: 999;
}

.modulo_carrito .icono{
    width: 85px;
    height: 85px;
    background: #77ab3a url(../img/template/carrito.png) center center no-repeat;
    border-radius: 50%;
    z-index: 1000;
    position: relative;
}

.modulo_carrito .cantidad {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 10001;
    background-color: #323435;
    color: #fff;
    font-size: 0.85rem;
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    border-radius: 50%;
}

.modulo_carrito .contenido{
    display: none;
    position: absolute;
    top: 50px;
    right: 0;
    width: 320px;
    padding: 20px;
    box-sizing: border-box;
    border: 1px solid #000;
    background-color: rgba(255,255,255,0.7);
    z-index: 999;
}

.modulo_carrito:hover .contenido{
    display: block;
}

.boton-carrito{
    transition: all 0.5s ease;
}

.boton-carrito:hover{
    opacity: 0.8;
}

.boton-carrito.verde {
    background-color: #77ab3a;
    line-height: 40px;
}

.boton-carrito.verde a{
    text-transform: uppercase;
    color: #fff;
    font-weight: bold;
}

.boton-carrito.verde a,
.boton-carrito.verde a:hover{
    color: #fff;
    text-decoration: none;
}

.separador-carrito{
    margin-bottom: 10px;
    width: 100%;
}

.info-carrito, .separador_carrito {
    border-bottom: 1px solid #323435;
    padding-bottom: 10px;
}

.separador_carrito{
    margin-bottom: 10px;
}

.img.anterior,
.img.siguiente{
    width: 20px;
    height: 20px;
    cursor: pointer;
    display: block;
    background-image: url(../img/template/controls.png);
    background-repeat: no-repeat;
    position: absolute;
    top: 35%;
    transition: all 0.4s ease;
}

.img.anterior{
    background-position: 0 0;
}

.img.anterior:hover{
    /*background-position: 0 -20px;*/
    opacity: 0.7;
}

.img.siguiente{
    background-position: -27px 0;
    right: 0;
}

.img.siguiente:hover{
    /*background-position: -27px -20px;*/
    opacity: 0.7;
}

#lnkMas, 
#lnkMenos{
    display: block;
    width: 100%;
    height: 17.5px;
    text-align: center;
    line-height: 15px;
    border: 1px solid #aaa;
    background-color: #ccc;
    text-decoration: none;
    color: #000;
    box-shadow: none;
}

#lnkMas:hover, 
#lnkMenos:hover{
    color: #777;
    text-decoration: none;
}

#formLogin fieldset,
#formRegistro fieldset{
    border: 1px solid #bbb;
}

#formLogin label,
#formRegistro label{
    display: inline;
}

.link_carrito_flotante{
    display: block;
    width: 100%;
    height: 100%;
}

@media all and (max-width: 340px){
    .show-for-small-only{
        display: block;
    }
    
    .hide-for-small-only{
        display: none;
    }
}